<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
HeapRecordId..::.fromArray Method (array<Byte>[]()[], ByteOrder)
HeapRecordId Class See Also Send Feedback

Construct a HeapRecordId from a byte array, typically Data.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public static HeapRecordId fromArray(
    	byte[] array,
    	ByteOrder order
    )

Visual Basic (Declaration)

    Public Shared Function fromArray ( _
    	array As Byte(), _
    	order As ByteOrder _
    ) As HeapRecordId

Visual C++

    public:
    static HeapRecordId^ fromArray(
    	array<unsigned char>^ array,
    	ByteOrder^ order
    )

#### Parameters

array
  Type: array< System..::.Byte >[]()[]
  The array representing the record id

order
  Type: BerkeleyDB..::.ByteOrder
  The byte order of the data in array

#### Return Value

A new HeapRecordId

# See Also

HeapRecordId Class
fromArray Overload
BerkeleyDB Namespace